package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum TeacherSalaryComplaintsStatusEnum implements BaseEnum<String, TeacherSalaryComplaintsStatusEnum> {
	PENDING("PENDING", "待处理"),
	Done("DONE", "完成"),
	AGREED("AGREED", "同意"),
	DENIED("DENIED", "拒绝"),
	WITHDRAWN("WITHDRAWN", "撤回");

	private String code;

	private String msg;

	TeacherSalaryComplaintsStatusEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
